<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'GetItemStocks' => '\\StructType\\GetItemStocks',
            'ArrayOfString' => '\\ArrayType\\ArrayOfString',
            'Authentication' => '\\StructType\\Authentication',
            'GetItemStocksResponse' => '\\StructType\\GetItemStocksResponse',
            'ArrayOfItemStock' => '\\ArrayType\\ArrayOfItemStock',
            'ItemStock' => '\\StructType\\ItemStock',
            'ArrayOfStock' => '\\ArrayType\\ArrayOfStock',
            'Stock' => '\\StructType\\Stock',
            'GetNewItems' => '\\StructType\\GetNewItems',
            'GetNewItemsResponse' => '\\StructType\\GetNewItemsResponse',
            'ArrayOfItem' => '\\ArrayType\\ArrayOfItem',
            'Item' => '\\StructType\\Item',
            'GetOrdersStatusHistory' => '\\StructType\\GetOrdersStatusHistory',
            'ArrayOfInt' => '\\ArrayType\\ArrayOfInt',
            'GetOrdersStatusHistoryResponse' => '\\StructType\\GetOrdersStatusHistoryResponse',
            'ArrayOfOrderGroup' => '\\ArrayType\\ArrayOfOrderGroup',
            'OrderGroup' => '\\StructType\\OrderGroup',
            'ArrayOfOrderStatuses' => '\\ArrayType\\ArrayOfOrderStatuses',
            'OrderStatuses' => '\\StructType\\OrderStatuses',
            'GetInternetShopID' => '\\StructType\\GetInternetShopID',
            'GetInternetShopIDResponse' => '\\StructType\\GetInternetShopIDResponse',
            'GetShopsID' => '\\StructType\\GetShopsID',
            'GetShopsIDResponse' => '\\StructType\\GetShopsIDResponse',
            'ArrayOfShop' => '\\ArrayType\\ArrayOfShop',
            'Shop' => '\\StructType\\Shop',
            'GetOrder' => '\\StructType\\GetOrder',
            'GetOrderResponse' => '\\StructType\\GetOrderResponse',
            'ExpOrder' => '\\StructType\\ExpOrder',
            'Money' => '\\StructType\\Money',
            'ArrayOfExpOrderItem' => '\\ArrayType\\ArrayOfExpOrderItem',
            'ExpOrderItem' => '\\StructType\\ExpOrderItem',
            'GetSdOrderID' => '\\StructType\\GetSdOrderID',
            'GetSdOrderIDResponse' => '\\StructType\\GetSdOrderIDResponse',
            'RegisterUser' => '\\StructType\\RegisterUser',
            'ImpUser' => '\\StructType\\ImpUser',
            'ArrayOfImpUserAddress' => '\\ArrayType\\ArrayOfImpUserAddress',
            'ImpUserAddress' => '\\StructType\\ImpUserAddress',
            'RegisterUserResponse' => '\\StructType\\RegisterUserResponse',
            'RegisterOrder' => '\\StructType\\RegisterOrder',
            'ImpOrder' => '\\StructType\\ImpOrder',
            'RegisterOrderResponse' => '\\StructType\\RegisterOrderResponse',
            'GetStatusOrders' => '\\StructType\\GetStatusOrders',
            'GetStatusOrdersResponse' => '\\StructType\\GetStatusOrdersResponse',
            'GetStatusOrder' => '\\StructType\\GetStatusOrder',
            'GetStatusOrderResponse' => '\\StructType\\GetStatusOrderResponse',
            'OrderStatus' => '\\StructType\\OrderStatus',
            'GetStatusSdOrderID' => '\\StructType\\GetStatusSdOrderID',
            'GetStatusSdOrderIDResponse' => '\\StructType\\GetStatusSdOrderIDResponse',
            'GetStatusOrderByImportedID' => '\\StructType\\GetStatusOrderByImportedID',
            'GetStatusOrderByImportedIDResponse' => '\\StructType\\GetStatusOrderByImportedIDResponse',
            'AddItemsToOrder' => '\\StructType\\AddItemsToOrder',
            'ArrayOfOrderItem' => '\\ArrayType\\ArrayOfOrderItem',
            'OrderItem' => '\\StructType\\OrderItem',
            'AddItemsToOrderResponse' => '\\StructType\\AddItemsToOrderResponse',
            'GetNewOrders' => '\\StructType\\GetNewOrders',
            'GetNewOrdersResponse' => '\\StructType\\GetNewOrdersResponse',
            'ArrayOfOrderChanged' => '\\ArrayType\\ArrayOfOrderChanged',
            'OrderChanged' => '\\StructType\\OrderChanged',
            'UpdateDeliveOrderId' => '\\StructType\\UpdateDeliveOrderId',
            'UpdateDeliveOrderIdResponse' => '\\StructType\\UpdateDeliveOrderIdResponse',
            'SetOrderParams' => '\\StructType\\SetOrderParams',
            'SetOrderParamsResponse' => '\\StructType\\SetOrderParamsResponse',
            'RefuseOrder' => '\\StructType\\RefuseOrder',
            'RefuseOrderResponse' => '\\StructType\\RefuseOrderResponse',
            'GetOrderStatusByStrizhOrderID' => '\\StructType\\GetOrderStatusByStrizhOrderID',
            'GetOrderStatusByStrizhOrderIDResponse' => '\\StructType\\GetOrderStatusByStrizhOrderIDResponse',
            'OrderStatusForShop' => '\\StructType\\OrderStatusForShop',
            'GetOrderStatusFByStrizhOrderID' => '\\StructType\\GetOrderStatusFByStrizhOrderID',
            'GetOrderStatusFByStrizhOrderIDResponse' => '\\StructType\\GetOrderStatusFByStrizhOrderIDResponse',
            'OrderStatusForShopF' => '\\StructType\\OrderStatusForShopF',
            'GetOrderInf' => '\\StructType\\GetOrderInf',
            'GetOrderInfResponse' => '\\StructType\\GetOrderInfResponse',
            'OrderInform' => '\\StructType\\OrderInform',
            'ArrayOfExtraOpt' => '\\ArrayType\\ArrayOfExtraOpt',
            'ExtraOpt' => '\\StructType\\ExtraOpt',
            'RegisterInternetShop' => '\\StructType\\RegisterInternetShop',
            'RegisterInternetShopResponse' => '\\StructType\\RegisterInternetShopResponse',
            'addedShop' => '\\StructType\\AddedShop',
            'AddLogo' => '\\StructType\\AddLogo',
            'AddLogoResponse' => '\\StructType\\AddLogoResponse',
            'ConfirmOrderPackaging' => '\\StructType\\ConfirmOrderPackaging',
            'ConfirmOrderPackagingResponse' => '\\StructType\\ConfirmOrderPackagingResponse',
            'RegisterChildInternetShop' => '\\StructType\\RegisterChildInternetShop',
            'RegisterChildInternetShopResponse' => '\\StructType\\RegisterChildInternetShopResponse',
            'AddAcceptanceReport' => '\\StructType\\AddAcceptanceReport',
            'AcceptanceReport' => '\\StructType\\AcceptanceReport',
            'ArrayOfOrdersTableRow' => '\\ArrayType\\ArrayOfOrdersTableRow',
            'ordersTableRow' => '\\StructType\\OrdersTableRow',
            'AddAcceptanceReportResponse' => '\\StructType\\AddAcceptanceReportResponse',
            'GetServicesCost' => '\\StructType\\GetServicesCost',
            'GetServicesCostResponse' => '\\StructType\\GetServicesCostResponse',
            'ArrayOfServiceCost' => '\\ArrayType\\ArrayOfServiceCost',
            'ServiceCost' => '\\StructType\\ServiceCost',
            'GetCurrentStatuses' => '\\StructType\\GetCurrentStatuses',
            'GetCurrentStatusesResponse' => '\\StructType\\GetCurrentStatusesResponse',
            'ArrayOfStatus' => '\\ArrayType\\ArrayOfStatus',
            'Status' => '\\StructType\\Status',
            'GetFinalStatuses' => '\\StructType\\GetFinalStatuses',
            'GetFinalStatusesResponse' => '\\StructType\\GetFinalStatusesResponse',
            'GetCurStatusWithSetDate' => '\\StructType\\GetCurStatusWithSetDate',
            'GetCurStatusWithSetDateResponse' => '\\StructType\\GetCurStatusWithSetDateResponse',
            'OrderCurrentStatus' => '\\StructType\\OrderCurrentStatus',
            'GetFinStatusWithSetDate' => '\\StructType\\GetFinStatusWithSetDate',
            'GetFinStatusWithSetDateResponse' => '\\StructType\\GetFinStatusWithSetDateResponse',
            'OrderFinalStatus' => '\\StructType\\OrderFinalStatus',
            'GetRefusedOrderItems' => '\\StructType\\GetRefusedOrderItems',
            'GetRefusedOrderItemsResponse' => '\\StructType\\GetRefusedOrderItemsResponse',
            'ArrayOfRefusedOrderItem' => '\\ArrayType\\ArrayOfRefusedOrderItem',
            'RefusedOrderItem' => '\\StructType\\RefusedOrderItem',
            'GetSoldOrderItems' => '\\StructType\\GetSoldOrderItems',
            'GetSoldOrderItemsResponse' => '\\StructType\\GetSoldOrderItemsResponse',
            'ArrayOfSoldOrderItem' => '\\ArrayType\\ArrayOfSoldOrderItem',
            'SoldOrderItem' => '\\StructType\\SoldOrderItem',
            'UpdateShopPhone' => '\\StructType\\UpdateShopPhone',
            'UpdateShopPhoneResponse' => '\\StructType\\UpdateShopPhoneResponse',
            'SetOrderBarcodes' => '\\StructType\\SetOrderBarcodes',
            'ArrayOfPieceBarcode' => '\\ArrayType\\ArrayOfPieceBarcode',
            'PieceBarcode' => '\\StructType\\PieceBarcode',
            'SetOrderBarcodesResponse' => '\\StructType\\SetOrderBarcodesResponse',
            'RegisterOrderExtended' => '\\StructType\\RegisterOrderExtended',
            'RegisterOrderExtendedResponse' => '\\StructType\\RegisterOrderExtendedResponse',
            'RegisterOrderExtendedResponce' => '\\StructType\\RegisterOrderExtendedResponce',
            'Response' => '\\StructType\\Response',
            'ArrayOfString1' => '\\ArrayType\\ArrayOfString1',
            'ArrayOfString2' => '\\ArrayType\\ArrayOfString2',
            'GetActiveTerminals' => '\\StructType\\GetActiveTerminals',
            'GetActiveTerminalsResponse' => '\\StructType\\GetActiveTerminalsResponse',
            'Terminals' => '\\StructType\\Terminals',
            'Terminal' => '\\StructType\\Terminal',
            'GetDeliveredOrders' => '\\StructType\\GetDeliveredOrders',
            'GetDeliveredOrdersResponse' => '\\StructType\\GetDeliveredOrdersResponse',
            'DeliveredOrdersResponce' => '\\StructType\\DeliveredOrdersResponce',
            'ArrayOfOrder' => '\\ArrayType\\ArrayOfOrder',
            'Order' => '\\StructType\\Order',
            'ArrayOfDeliveredOrderItem' => '\\ArrayType\\ArrayOfDeliveredOrderItem',
            'DeliveredOrderItem' => '\\StructType\\DeliveredOrderItem',
            'GetOpenDeliveredOrders' => '\\StructType\\GetOpenDeliveredOrders',
            'GetOpenDeliveredOrdersResponse' => '\\StructType\\GetOpenDeliveredOrdersResponse',
            'GetOrderStatusInit' => '\\StructType\\GetOrderStatusInit',
            'GetOrderStatusInitResponse' => '\\StructType\\GetOrderStatusInitResponse',
            'OrderStatusInit' => '\\StructType\\OrderStatusInit',
            'ChangeOrderStatus' => '\\StructType\\ChangeOrderStatus',
            'ArrayOfStatusChange' => '\\ArrayType\\ArrayOfStatusChange',
            'ChangeOrderStatusResponse' => '\\StructType\\ChangeOrderStatusResponse',
            'GetTransCancelReasons' => '\\StructType\\GetTransCancelReasons',
            'GetTransCancelReasonsResponse' => '\\StructType\\GetTransCancelReasonsResponse',
            'ArrayOfTransCancelReason' => '\\ArrayType\\ArrayOfTransCancelReason',
            'GetOrderTrack' => '\\StructType\\GetOrderTrack',
            'GetOrderTrackResponse' => '\\StructType\\GetOrderTrackResponse',
            'UpdateOrderExtended' => '\\StructType\\UpdateOrderExtended',
            'UpdateOrderExtendedResponse' => '\\StructType\\UpdateOrderExtendedResponse',
            'SetOrderIDAdditional' => '\\StructType\\SetOrderIDAdditional',
            'SetOrderIDAdditionalResponse' => '\\StructType\\SetOrderIDAdditionalResponse',
            'GetOrderPlaceInf' => '\\StructType\\GetOrderPlaceInf',
            'GetOrderPlaceInfResponse' => '\\StructType\\GetOrderPlaceInfResponse',
            'ArrayOfOrderPlace' => '\\ArrayType\\ArrayOfOrderPlace',
            'OrderPlace' => '\\StructType\\OrderPlace',
            'SetTerminalsForIntake' => '\\StructType\\SetTerminalsForIntake',
            'SetTerminalsForIntakeResponse' => '\\StructType\\SetTerminalsForIntakeResponse',
            'AddCarriage' => '\\StructType\\AddCarriage',
            'AddCarriageResponse' => '\\StructType\\AddCarriageResponse',
            'User' => '\\StructType\\User',
            'Address' => '\\StructType\\Address',
            'StatusChange' => '\\StructType\\StatusChange',
            'TransCancelReason' => '\\StructType\\TransCancelReason',
            'carriage' => '\\StructType\\Carriage',
            'ArrayOfParcel' => '\\ArrayType\\ArrayOfParcel',
            'parcel' => '\\StructType\\Parcel',
            'ArrayOfPackage' => '\\ArrayType\\ArrayOfPackage',
            'package' => '\\StructType\\Package',
            'addCarriageResponse' => '\\StructType\\AddCarriageResponse_1',
        );
    }
}
