<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Set ServiceType
 * @subpackage Services
 */
class Set extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named SetOrderParams
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetOrderParams $parameters
     * @return \StructType\SetOrderParamsResponse|bool
     */
    public function SetOrderParams(\StructType\SetOrderParams $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetOrderParams($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetOrderBarcodes
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetOrderBarcodes $parameters
     * @return \StructType\SetOrderBarcodesResponse|bool
     */
    public function SetOrderBarcodes(\StructType\SetOrderBarcodes $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetOrderBarcodes($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetOrderIDAdditional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetOrderIDAdditional $parameters
     * @return \StructType\SetOrderIDAdditionalResponse|bool
     */
    public function SetOrderIDAdditional(\StructType\SetOrderIDAdditional $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetOrderIDAdditional($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetTerminalsForIntake
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SetTerminalsForIntake $parameters
     * @return \StructType\SetTerminalsForIntakeResponse|bool
     */
    public function SetTerminalsForIntake(\StructType\SetTerminalsForIntake $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SetTerminalsForIntake($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\SetOrderBarcodesResponse|\StructType\SetOrderIDAdditionalResponse|\StructType\SetOrderParamsResponse|\StructType\SetTerminalsForIntakeResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
